Index: tmp/org.txm.information.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.information.core/META-INF/MANIFEST.MF	(revision 931)
+++ tmp/org.txm.information.core/META-INF/MANIFEST.MF	(revision 932)
@@ -6,7 +6,7 @@
 Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Information Core
+Bundle-Name: Corpus Properties Core
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.properties.core;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.partition.rcp/plugin.xml
===================================================================
--- tmp/org.txm.partition.rcp/plugin.xml	(revision 931)
+++ tmp/org.txm.partition.rcp/plugin.xml	(revision 932)
@@ -18,7 +18,7 @@
             locationURI="menu:menu.corpus">
          <command
                commandId="org.txm.partition.rcp.handlers.ComputePartitionDimensionsBarChart"
-               icon="icons/silk_dimensions.png"
+               icon="icons/dimensions.png"
                style="push">
             <visibleWhen
                   checkEnabled="false">
@@ -35,7 +35,7 @@
             locationURI="toolbar:org.txm.rcp.toolbartools">
          <command
                commandId="org.txm.partition.rcp.handlers.ComputePartitionDimensionsBarChart"
-               icon="icons/silk_dimensions.png"
+               icon="icons/dimensions.png"
                style="push"
                tooltip="%command.tooltip">
             <visibleWhen
@@ -53,7 +53,7 @@
             locationURI="popup:org.txm.rcp.views.corpora.CorporaView?after=org.txm.rcp.corporaview.corpus.read">
          <command
                commandId="org.txm.partition.rcp.handlers.ComputePartitionDimensionsBarChart"
-               icon="icons/silk_dimensions.png"
+               icon="icons/dimensions.png"
                style="push">
             <visibleWhen
                   checkEnabled="false">
@@ -92,7 +92,7 @@
       <editor
             class="org.txm.partition.rcp.editors.PartitionDimensionsEditor"
             default="false"
-            icon="icons/silk_dimensions.png"
+            icon="icons/dimensions.png"
             id="org.txm.partition.core.functions.PartitionDimensions"
             name="%editor.name">
       </editor>
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java	(revision 931)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java	(revision 932)
@@ -21,7 +21,7 @@
 	
 	public static final ImageDescriptor ICON =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(PartitionDimensionsAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(PartitionDimensionsAdapterFactory.class).getSymbolicName() + "/icons/silk_dimensions.png"); //$NON-NLS-1$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(PartitionDimensionsAdapterFactory.class).getSymbolicName() + "/icons/dimensions.png"); //$NON-NLS-1$
 	
 
 	@Override
Index: tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle.properties	(revision 931)
+++ tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle.properties	(revision 932)
@@ -1,5 +1,10 @@
+
 Bundle-Name = Partition RCP
-command.name = Dimensions
-editor.name = Dimensions
+
+command.name = Properties
+
+command.tooltip = Properties
+
+editor.name = Properties
+
 page.name = Partition
-command.tooltip=Dimensions
\ No newline at end of file
Index: tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 931)
+++ tmp/org.txm.partition.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 932)
@@ -1,5 +1,10 @@
+
 Bundle-Name = Partition RCP
-command.name = Dimensions
-editor.name = Dimensions
+
+command.name = Propri\u00E9t\u00E9s
+
+command.tooltip = Visualiser la taille des parties
+
+editor.name = Propri\u00E9t\u00E9s
+
 page.name = Partition
-command.tooltip=Visualiser la taille des parties
Index: tmp/org.txm.partition.rcp/icons/sample.gif
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.partition.rcp/icons/Specificities.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.partition.rcp/icons/SpecificitiesGraph.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.partition.rcp/icons/dimensions.old.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.partition.rcp/icons/dimensions2.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.partition.rcp/icons/dimensions3.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.partition.rcp/icons/dimensions.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.partition.rcp/icons/dimensions.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/messages_ru.properties
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/messages_ru.properties	(revision 931)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/messages_ru.properties	(revision 932)
@@ -1,5 +1,5 @@
 
-RESULT_TYPE = 
+RESULT_TYPE = Специфичность
 
 SELECTION_RESULT_TYPE = 
 
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 931)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 932)
@@ -87,7 +87,7 @@
 	public final static String BUNDLE_ID = "bundle_id"; //$NON-NLS-1$
 	public final static String NAME = "name"; //$NON-NLS-1$
 
-	// to shared strings in some preferences
+	// to shared strings in some command preferences
 	/**
 	 * Queries.
 	 */
Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 931)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 932)
@@ -1645,7 +1645,7 @@
 	}
 
 	/**
-	 * 
+	 * Checks if the monitor is canceled.
 	 * @return true if the monitor has been canceled by the user
 	 */
 	public boolean isCanceled() {
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/preferences/CooccurrencePreferences.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/preferences/CooccurrencePreferences.java	(revision 931)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/preferences/CooccurrencePreferences.java	(revision 932)
@@ -19,32 +19,27 @@
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(CooccurrencePreferences.class).getSymbolicName();
 
-	public static final String PREFERENCES_PREFIX = "cooccurrence_"; //$NON-NLS-1$
-	
 	/** The Constant SCOREFORMAT. */
-	public static final String SCORE_FORMAT = PREFERENCES_PREFIX + "score_format"; //$NON-NLS-1$
+	public static final String SCORE_FORMAT = "score_format"; //$NON-NLS-1$
 	
-	public static final String STRUCTURAL_UNIT_LIMIT = PREFERENCES_PREFIX + "structural_unit_limit"; //$NON-NLS-1$
+	public static final String STRUCTURAL_UNIT_LIMIT = "structural_unit_limit"; //$NON-NLS-1$
 
-	/** The Constant MINFREQ. */
-	public static final String MIN_FREQ = PREFERENCES_PREFIX + "min_freq"; //$NON-NLS-1$
-	
 	/** The Constant MINCOUNT. */
-	public static final String MIN_COUNT = PREFERENCES_PREFIX + "min_count"; //$NON-NLS-1$
+	public static final String MIN_COUNT = "min_count"; //$NON-NLS-1$
 	
 	/** The Constant MINSCORE. */
-	public static final String MIN_SCORE = PREFERENCES_PREFIX + "min_score"; //$NON-NLS-1$
+	public static final String MIN_SCORE = "min_score"; //$NON-NLS-1$
 	
-	public static final String MAX_LEFT = PREFERENCES_PREFIX + "max_left"; //$NON-NLS-1$
-	public static final String MIN_LEFT = PREFERENCES_PREFIX + "min_left"; //$NON-NLS-1$
-	public static final String MIN_RIGHT = PREFERENCES_PREFIX + "min_right"; //$NON-NLS-1$
-	public static final String MAX_RIGHT = PREFERENCES_PREFIX + "max_right"; //$NON-NLS-1$
+	public static final String MAX_LEFT = "max_left"; //$NON-NLS-1$
+	public static final String MIN_LEFT = "min_left"; //$NON-NLS-1$
+	public static final String MIN_RIGHT = "min_right"; //$NON-NLS-1$
+	public static final String MAX_RIGHT = "max_right"; //$NON-NLS-1$
 
-	public static final String INCLUDE_X_PIVOT = PREFERENCES_PREFIX + "include_x_pivot"; //$NON-NLS-1$
-	public static final String PARTIAL_LEXICAL_TABLE = PREFERENCES_PREFIX + "partial_lexical_table"; //$NON-NLS-1$
+	public static final String INCLUDE_X_PIVOT = "include_x_pivot"; //$NON-NLS-1$
+	public static final String PARTIAL_LEXICAL_TABLE = "partial_lexical_table"; //$NON-NLS-1$
 	
 
-	public static final String COOC_QUERY_FILTER = PREFERENCES_PREFIX + "cooc_query_filter"; //$NON-NLS-1$
+	public static final String QUERY_FILTER = "query_filter"; //$NON-NLS-1$
 
 	
 	/**
@@ -59,7 +54,7 @@
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 		
 		preferences.put(SCORE_FORMAT, "E00"); //$NON-NLS-1$
-		preferences.putInt(MIN_FREQ, 2);
+		preferences.putInt(F_MIN, 2);
 		preferences.putInt(MIN_COUNT, 2);
 		preferences.putDouble(MIN_SCORE, 2.0);
 		
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 931)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 932)
@@ -48,6 +48,7 @@
 import org.txm.cooccurrence.core.messages.CooccurrenceCoreMessages;
 import org.txm.cooccurrence.core.preferences.CooccurrencePreferences;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
@@ -178,7 +179,7 @@
 	
 	
 	
-	@Parameter(key=CooccurrencePreferences.COOC_QUERY_FILTER)
+	@Parameter(key=CooccurrencePreferences.QUERY_FILTER)
 	protected String pCooccurentQueryFilter = "[]"; //$NON-NLS-1$
 	
 	/** The mincof. */
@@ -186,7 +187,7 @@
 	protected Integer pFCoocFilter;
 	
 	/** The minf. */
-	@Parameter(key=CooccurrencePreferences.MIN_FREQ)
+	@Parameter(key=TXMPreferences.F_MIN)
 	protected Integer pFminFilter;
 	
 	/** The include xpivot. */
@@ -837,7 +838,7 @@
 			int minRight = parameters.getInteger(CooccurrencePreferences.MIN_RIGHT);
 			double minScore = parameters.getDouble(CooccurrencePreferences.MIN_SCORE);
 			int minCof = parameters.getInteger(CooccurrencePreferences.MIN_COUNT);
-			int minFreq = parameters.getInteger(CooccurrencePreferences.MIN_FREQ);
+			int minFreq = parameters.getInteger(TXMPreferences.F_MIN);
 			boolean buildLexicalTableWithCooccurrents = parameters.getBoolean(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE);
 
 			this.setParameters(query, properties, limit, maxLeft, minLeft, minRight, maxRight, minFreq, minScore, minCof, includeXpivot, buildLexicalTableWithCooccurrents);
Index: tmp/org.txm.tmp.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.tmp.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 931)
+++ tmp/org.txm.tmp.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 932)
@@ -1,12 +1,12 @@
 eclipse.preferences.version=1
 org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
 org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
 org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.compliance=1.8
 org.eclipse.jdt.core.compiler.debug.lineNumber=generate
 org.eclipse.jdt.core.compiler.debug.localVariable=generate
 org.eclipse.jdt.core.compiler.debug.sourceFile=generate
 org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
 org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
Index: tmp/org.txm.tmp.rcp/.classpath
===================================================================
--- tmp/org.txm.tmp.rcp/.classpath	(revision 931)
+++ tmp/org.txm.tmp.rcp/.classpath	(revision 932)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
 		<accessrules>
 			<accessrule kind="accessible" pattern="**"/>
Index: tmp/org.txm.tmp.rcp/src/org/eclipse/swt/snippets/Snippet315.java
===================================================================
--- tmp/org.txm.tmp.rcp/src/org/eclipse/swt/snippets/Snippet315.java	(revision 0)
+++ tmp/org.txm.tmp.rcp/src/org/eclipse/swt/snippets/Snippet315.java	(revision 932)
@@ -0,0 +1,65 @@
+/*******************************************************************************
+ * Copyright (c) 2009, 2016 IBM Corporation and others.
+ * All rights reserved. This program and the accompanying materials
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     IBM Corporation - initial API and implementation
+ *******************************************************************************/
+package org.eclipse.swt.snippets;
+
+/*
+ * Button example snippet: create a tri-state button (toggle three states)
+ *
+ * For a list of all SWT example snippets see
+ * http://www.eclipse.org/swt/snippets/
+ *
+ * @since 3.5
+ */
+import org.eclipse.swt.*;
+import org.eclipse.swt.layout.*;
+import org.eclipse.swt.widgets.*;
+
+public class Snippet315 {
+	public static void main(String[] args) {
+		Display display = new Display ();
+		Shell shell = new Shell (display);
+		shell.setLayout(new GridLayout());
+		final Button button = new Button (shell, SWT.CHECK);
+		button.setLayoutData(new GridData(GridData.GRAB_VERTICAL | GridData.GRAB_HORIZONTAL | GridData.HORIZONTAL_ALIGN_CENTER));
+		button.setText ("Tri-state");
+		/* Make the button toggle between three states */
+		button.addListener (SWT.Selection, e -> {
+			if (button.getSelection()) {
+				if (!button.getGrayed()) {
+					button.setGrayed(true);
+				}
+			} else {
+				if (button.getGrayed()) {
+					button.setGrayed(false);
+					button.setSelection (true);
+				}
+			}
+		});
+		/* Read the tri-state button (application code) */
+		button.addListener (SWT.Selection, e -> {
+			if (button.getGrayed()) {
+				System.out.println("Grayed");
+			} else {
+				if (button.getSelection()) {
+					System.out.println("Selected");
+				} else {
+					System.out.println("Not selected");
+				}
+			}
+		});
+		shell.setSize(300, 300);
+		shell.open ();
+		while (!shell.isDisposed ()) {
+			if (!display.readAndDispatch ()) display.sleep ();
+		}
+		display.dispose ();
+	}
+}
\ No newline at end of file

Property changes on: tmp/org.txm.tmp.rcp/src/org/eclipse/swt/snippets/Snippet315.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.index.rcp/OSGI-INF/l10n/bundle_ru.properties
===================================================================
--- tmp/org.txm.index.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 931)
+++ tmp/org.txm.index.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 932)
@@ -1,6 +1,8 @@
 
-command.name = \u0418\u043D\u0434\u0435\u043A\u0441
+command.name = Индекс
 
-command.tooltip = \u0412\u044B\u0447\u0438\u0441\u043B\u0438\u0442\u044C \u0441\u043B\u043E\u0432\u0430\u0440\u043D\u044B\u0439 \u0441\u043E\u0441\u0442\u0430\u0432 \u043E\u0442\u0432\u0435\u0442\u043E\u0432 \u043D\u0430 \u0437\u0430\u043F\u0440\u043E\u0441
+command.name.0 = 
 
-editor.name = \u0418\u043D\u0434\u0435\u043A\u0441
+command.tooltip = Вычислить словарный состав ответов на запрос
+
+editor.name = Индекс
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/messages/messages_fr.properties	(revision 931)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/messages/messages_fr.properties	(revision 932)
@@ -1,4 +1,4 @@
 
 PartsSize_18 = Dimensions : {0}
 
-RESULT_TYPE = Dimensions de partition
+RESULT_TYPE = Propriétés
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/messages/messages.properties
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/messages/messages.properties	(revision 931)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/messages/messages.properties	(revision 932)
@@ -9,4 +9,4 @@
 
 PartsSize_18 = Dimensions: {0}
 
-RESULT_TYPE = Partition dimensions
+RESULT_TYPE = Properties
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 931)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 932)
@@ -181,10 +181,9 @@
 	}
 
 
-
 	@Override
 	public String getSimpleName() {
-		return this.getParent().getSimpleName();
+		return PartitionCoreMessages.RESULT_TYPE;
 	}
 	
 	
Index: tmp/org.txm.information.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java	(revision 931)
+++ tmp/org.txm.information.rcp/src/org/txm/properties/rcp/adapters/PropertiesAdapterFactory.java	(revision 932)
@@ -20,21 +20,20 @@
 
 	public static final ImageDescriptor ICON =
 			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(PropertiesAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(PropertiesAdapterFactory.class).getSymbolicName() + "/icons/functions/information.png"); //$NON-NLS-1$ //$NON-NLS-2$
+					"platform:/plugin/"+ FrameworkUtil.getBundle(PropertiesAdapterFactory.class).getSymbolicName() + "/icons/functions/properties.png"); //$NON-NLS-1$ //$NON-NLS-2$
 
+	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
 		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Properties)	{
 			return new TXMResultAdapter() {
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
-					if (object instanceof Properties) {
-							return ICON;
-					}
-					return null;
+					return ICON;
 				}
 			};
 		}
 		return null;
 	}
+	
 }
Index: tmp/org.txm.information.rcp/plugin.xml
===================================================================
--- tmp/org.txm.information.rcp/plugin.xml	(revision 931)
+++ tmp/org.txm.information.rcp/plugin.xml	(revision 932)
@@ -32,7 +32,7 @@
    <extension
          point="org.eclipse.core.runtime.adapters">
       <factory
-            adaptableType="org.txm.information.core.functions.Information"
+            adaptableType="org.txm.properties.core.functions.Properties"
             class="org.txm.properties.rcp.adapters.PropertiesAdapterFactory">
          <adapter
                type="org.eclipse.ui.model.IWorkbenchAdapter">
Index: tmp/org.txm.information.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.information.rcp/META-INF/MANIFEST.MF	(revision 931)
+++ tmp/org.txm.information.rcp/META-INF/MANIFEST.MF	(revision 932)
@@ -3,7 +3,7 @@
  org.txm.properties.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Information RCP
+Bundle-Name: Corpus Properties RCP
 Bundle-ManifestVersion: 2
 Bundle-SymbolicName: org.txm.properties.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 931)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 932)
@@ -568,7 +568,7 @@
 		parameters.put(CooccurrencePreferences.MIN_LEFT, this.empantPanel.getMinLeft() + 1);
 		parameters.put(CooccurrencePreferences.MIN_RIGHT, this.empantPanel.getMinRight() + 1);
 		parameters.put(CooccurrencePreferences.MAX_RIGHT, this.empantPanel.getMaxRight() + 1);
-		parameters.put(CooccurrencePreferences.MIN_FREQ, this.TFreq.getSelection());
+		parameters.put(TXMPreferences.F_MIN, this.TFreq.getSelection());
 		parameters.put(CooccurrencePreferences.MIN_COUNT, this.TCount.getSelection());
 		parameters.put(CooccurrencePreferences.INCLUDE_X_PIVOT, this.empantPanel.getXPivot());
 		parameters.put(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, this.getBooleanParameterValue(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE));
@@ -604,7 +604,7 @@
 			}
 		}
 
-		TFreq.setSelection(this.getIntParameterValue(CooccurrencePreferences.MIN_FREQ));
+		TFreq.setSelection(this.getIntParameterValue(TXMPreferences.F_MIN));
 		TCount.setSelection(this.getIntParameterValue(CooccurrencePreferences.MIN_COUNT));
 
 		TScore.setText("" + this.getDoubleParameterValue(CooccurrencePreferences.MIN_SCORE));
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 931)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 932)
@@ -88,7 +88,7 @@
 				int minright = 1;
 				int maxright = 50;
 
-				int minf = TXMPreferences.getInt(CooccurrencePreferences.MIN_FREQ, CooccurrencePreferences.PREFERENCES_NODE);
+				int minf = TXMPreferences.getInt(TXMPreferences.F_MIN, CooccurrencePreferences.PREFERENCES_NODE);
 				int mincof = TXMPreferences.getInt(CooccurrencePreferences.MIN_COUNT, CooccurrencePreferences.PREFERENCES_NODE);
 				int minscore = (int) TXMPreferences.getDouble(CooccurrencePreferences.MIN_SCORE, CooccurrencePreferences.PREFERENCES_NODE);
 				boolean buildLexicalTableWithCooccurrents = TXMPreferences.getBoolean(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrencePreferences.PREFERENCES_NODE);
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java	(revision 931)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/preferences/CoocPreferencePage.java	(revision 932)
@@ -34,6 +34,7 @@
 import org.txm.cooccurrence.core.preferences.CooccurrencePreferences;
 import org.txm.cooccurrence.rcp.adapters.CooccurrenceAdapterFactory;
 import org.txm.cooccurrence.rcp.messages.CooccurrenceUIMessages;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
 import org.txm.rcp.jface.DoubleFieldEditor;
@@ -56,7 +57,7 @@
 		scoreformatfield.setTextLimit(15);
 
 		/** The minfreqfield. */
-		IntegerFieldEditor minfreqfield = new IntegerFieldEditor(CooccurrencePreferences.MIN_FREQ, CooccurrenceUIMessages.CoocPreferencePage_1, getFieldEditorParent());
+		IntegerFieldEditor minfreqfield = new IntegerFieldEditor(TXMPreferences.F_MIN, CooccurrenceUIMessages.CoocPreferencePage_1, getFieldEditorParent());
 		minfreqfield.setValidRange(0, 9999999);
 
 		/** The mincountfield. */
